Bug 129843 - yum crashes when gpgcheck=1 is included in yum.conf
yum crashes when gpgcheck=1 is included in yum.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-13 05:19 EDT by Todd A. Fisher
Modified: 2014-01-21 17:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-13 14:42:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd A. Fisher 2004-08-13 05:19:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
running yum

[root@hostname root]# yum update
Gathering header information file(s) from server(s)
Server: Fedora Linux 1 - i386 - core
Server: Fedora Linux 1 - i386 - freshrpms
Server: Fedora Linux 1 - i386 - updates
Traceback (most recent call last):
  File "/usr/bin/yum", line 60, in ?
    yummain.main(sys.argv[1:])
  File "yummain.py", line 188, in main
  File "clientStuff.py", line 766, in get_package_info_from_servers
  File "clientStuff.py", line 103, in HeaderInfoNevralLoad
ValueError: unpack list of wrong size

the yum.conf file:

# $Id: yum-fd.conf,v 1.1 2003/10/30 15:24:13 dude Exp $
 
[main]
cachedir=/var/cache/yum
debuglevel=2
logfile=/var/log/yum.log
pkgpolicy=newest
distroverpkg=fedora-release
gpgcheck=1
tolerant=1
exactarch=1
 
[core]
name=Fedora Linux $releasever - $basearch - core
baseurl=http://ayo.freshrpms.net/fedora/linux/$releasever/$basearch/core
gpgcheck=1
 
#[extras]
#name=Fedora Linux $releasever - $basearch - extras
#baseurl=http://ayo.freshrpms.net/fedora/linux/$releasever/$basearch/extras
 
#[alternatives]
#name=Fedora Linux $releasever - $basearch - alternatives
#baseurl=http://ayo.freshrpms.net/fedora/linux/$releasever/$basearch/alternatives
 
[updates]
name=Fedora Linux $releasever - $basearch - updates
baseurl=http://ayo.freshrpms.net/fedora/linux/$releasever/$basearch/updates
gpgcheck=1
 
[freshrpms]
name=Fedora Linux $releasever - $basearch - freshrpms
baseurl=http://ayo.freshrpms.net/fedora/linux/$releasever/$basearch/freshrpms
gpgcheck=1

Version-Release number of selected component (if applicable):
yum-2.0.4

How reproducible:
Always

Steps to Reproduce:
1. copy yum.conf from above
2. run yum update    

Additional info:
Comment 1 Seth Vidal 2004-08-13 14:42:52 EDT
upgrade your version of yum. yum-2.0.5-1 'fixes' this problem.
2.0.5 just lets it report a better error message but the real problem
here is on the server you have listed.

nothing much can be done.

Note You need to log in before you can comment on or make changes to this bug.